Bug 1272727 - Missing file [NEEDINFO]
Missing file
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: mpi4py (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Thomas Spura
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-18 00:13 EDT by Stefan Seefeld
Modified: 2016-07-19 14:15 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:15:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tomspur: needinfo? (stefan)


Attachments (Terms of Use)

  None (edit)
Description Stefan Seefeld 2015-10-18 00:13:15 EDT
I just installed the mpi4py-openmpi package to use mpi4py (using OpenMPI as backend) in Python. It isn't entirely clear how I'm supposed to use that module.
I'd expected to be able to just use 'python -c "import mpi4py"', but that doesn't work as there is no 'mpi4py' module. Rather, the package installs what looks like 'openmpi.mpi4py'. However, 'python -c "import openmpi.mpi4py"' doesn't work either, because the 'openmpi' directory within my Python module tree doesn't contain a __init__.py file. If I add that file (empty), I'm at least able to run 'python -c "import openmpi.mpi4py"', though I still am not sure what to do with it. Shouldn't there be a toplevel 'mpi4py' module that then dispatches to a suitable backend (such as openmpi or mpich2) depending on which of the backends is installed ?

Thanks for your help.
Comment 1 Thomas Spura 2016-04-19 07:39:05 EDT
You need to load the openmpi 'module' first.

Could you try to load e.g. "mpi/openmpi" within the shell, you are using?
Comment 2 Fedora End Of Life 2016-07-19 14:15:39 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.